%define uname   love
%define api     0.10

%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           love0.10
Version:        0.10.2
%define subrel  1
Release:        %mkrel 1
Summary:        A free 2D game engine which enables easy game creation in Lua
Group:          Development/Other
# All is licensed as zlib with one exception:
# SOURCE/platform/unix/ltmain.sh is public domain
License:        zlib and Public domain
Url:            http://love2d.org
Source0:        https://github.com/love2d/love/releases/download/%{version}/%{uname}-%{version}-linux-src.tar.gz
#From upstream:
#https://bitbucket.org/rude/love/commits/10f58e78bbfd82b681a45aeaf1177a765726bb31
Patch1:         love-0.10.2-luajit2.1.0beta3.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)

%description
LÖVE is an open source, cross platform 2D game engine which uses the
Lua scripting language. LÖVE can be used to make games of any license
allowing it to be used for both free and non-free projects.

%files
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-game.svg
%{_mandir}/man1/%{name}.1.xz

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%configure \
  --bindir=%{_gamesbindir} \
  --program-suffix=%{api} \
  --with-lua=luajit \
  --enable-gme \
  --disable-shared
%make_build

%install
%make_install

find %{buildroot} -name '*.a' -delete -o -name '*.la' -delete

# Rename to avoid conflicts with main `love` package.
mv %{buildroot}%{_datadir}/mime/packages/{%{uname},%{name}}.xml
mv %{buildroot}%{_datadir}/pixmaps/{%{uname},%{name}}.svg
mv %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/application-x-{%{uname},%{name}}-game.svg

# Override with proper renames.
rm -f %{buildroot}%{_datadir}/applications/%{uname}.desktop
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=LÖVE %{version}
Comment=The unquestionably awesome 2D game engine
MimeType=application/x-%{name}-game;
Exec=%{_gamesbindir}/%{name} %f
Type=Application
Categories=Development;Game;
Terminal=false
Icon=%{name}
NoDisplay=true
EOF


%changelog
* Fri Oct 22 2021 akien <akien> 0.10.2-1.1.mga8
+ Revision: 1752593
- Rebuild to fix missing signature
- Backport love0.10 to mga8 for compatibility (mga#25716)
- imported package love0.10

